.action-menu {
    user-select: none;

    .action-menu-widget {
        overflow: hidden;
        position: fixed;
        margin: 0;
        padding: 0.5rem 0;
        white-space: nowrap;
        outline: none;
        border-radius: 0.5rem;
        background: var(--background-color);
        border: 1px solid var(--border);
        box-shadow: 0 0 0.1rem 0.1rem rgba(0, 0, 0, 0.075);
        cursor: default;
    }

    .action-menu-entry {
        display: flex;
        align-items: center;
        color: var(--text-color);
        cursor: pointer;
        position: relative;
        white-space: nowrap;
        font-weight: normal;
        margin: 0;
        padding: 0.5rem 1.5rem;

        &.disabled {
            cursor: unset;
        }
    }

    .action-menu-header {
        color: var(--text-color);
        display: block;
        font-weight: 500;
        margin-bottom: 0.5em;
        padding: 0.25rem 2.75rem 0.25rem 1rem;
        position: relative;
    }

    .badge {
        background-color: var(--primary);
        position: absolute;
        right: -6px;
        bottom: -5px;
        width: 12px;
        height: 12px;
        border-radius: 50%;
        border: 2px solid var(--contrast-color);
    }

    .badge-icon {
        margin: 1px;
    }

    .action-menu-entry:focus, .action-menu-entry:hover, .action-menu-entry.selected {
        background-color: var(--contrast-highlight);
        transition: background .2s;
    }

    .action-menu-entry-icon {
        margin-right: 1rem;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 1rem;
        height: 1rem;
    }

    .action-menu-entry-text {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        flex: 1;
    }

    .action-menu-horizontal-line {
        width: 100%;
        height: 1px;
        background-color: var(--border);
    }

    .action-menu-sub {
        color: var(--text-color);
        padding-top: 0.25rem;
    }
}

.action-menu {
    position: fixed;
    z-index: 9999;

    .action-menu-container {
        position: fixed;
        z-index: 9999;
    }

    .modal-screen {
        display: none;
    }
}

.action-menu.fullscreen {
    position: fixed;
    z-index: 9999;

    .action-menu-header {
        font-size: 1.125rem;
    }

    .action-menu-entry {
        font-size: 1rem;
    }

    .modal-screen {
        display: block;
    }

    .action-menu-container {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

.action-menu-entry {
    background-position: 1rem center;
    background-repeat: no-repeat;
    transition: background 0.3s;

    &.disabled {
        opacity: 0.4;

        &:hover {
            background-color: unset;
        }
    }

    &.fromhere {
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.5)' d='M13 4l6 0c0.552,0 1,0.448 1,1l0 6c0,0.55 -0.45,1 -1,1l-0.001 0c-0.278,0 -0.532,-0.116 -0.714,-0.302l0 0 -1.582 -1.582 -5.05 5.05c-0.509,-1.291 -1.54,-2.319 -2.833,-2.824l5.055 -5.055 -1.581 -1.58 -0.002 -0.002c-0.18,-0.181 -0.292,-0.43 -0.292,-0.704l0 -0.001c0,-0.55 0.45,-1 1,-1zm-6 10c1.657,0 3,1.343 3,3 0,1.657 -1.343,3 -3,3 -1.657,0 -3,-1.343 -3,-3 0,-1.657 1.343,-3 3,-3z'/> </svg>");

        &:hover {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 134, 255, 1)' d='M13 4l6 0c0.552,0 1,0.448 1,1l0 6c0,0.55 -0.45,1 -1,1l-0.001 0c-0.278,0 -0.532,-0.116 -0.714,-0.302l0 0 -1.582 -1.582 -5.05 5.05c-0.509,-1.291 -1.54,-2.319 -2.833,-2.824l5.055 -5.055 -1.581 -1.58 -0.002 -0.002c-0.18,-0.181 -0.292,-0.43 -0.292,-0.704l0 -0.001c0,-0.55 0.45,-1 1,-1zm-6 10c1.657,0 3,1.343 3,3 0,1.657 -1.343,3 -3,3 -1.657,0 -3,-1.343 -3,-3 0,-1.657 1.343,-3 3,-3z'/> </svg>");
        }

        &.disabled {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.4)' d='M13 4l6 0c0.552,0 1,0.448 1,1l0 6c0,0.55 -0.45,1 -1,1l-0.001 0c-0.278,0 -0.532,-0.116 -0.714,-0.302l0 0 -1.582 -1.582 -5.05 5.05c-0.509,-1.291 -1.54,-2.319 -2.833,-2.824l5.055 -5.055 -1.581 -1.58 -0.002 -0.002c-0.18,-0.181 -0.292,-0.43 -0.292,-0.704l0 -0.001c0,-0.55 0.45,-1 1,-1zm-6 10c1.657,0 3,1.343 3,3 0,1.657 -1.343,3 -3,3 -1.657,0 -3,-1.343 -3,-3 0,-1.657 1.343,-3 3,-3z'/> </svg>");
        }
    }

    &.tohere {
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.5)' d='M18 3c1.657,0 3,1.343 3,3 0,1.657 -1.343,3 -3,3 -1.657,0 -3,-1.343 -3,-3 0,-1.657 1.343,-3 3,-3zm-10 6l6 0c0.552,0 1,0.448 1,1l0 6c0,0.55 -0.451,1 -1,1l-0.001 0c-0.279,0 -0.532,-0.116 -0.714,-0.302l0 0 -1.578 -1.577 -5.295 5.295c-0.778,0.778 -2.05,0.778 -2.828,0l0 0c-0.778,-0.778 -0.778,-2.05 0,-2.828l5.295 -5.295 -1.586 -1.586 -0.001 -0.002c-0.181,-0.181 -0.292,-0.43 -0.292,-0.704l0 -0.001c0,-0.55 0.45,-1 1,-1z'/> </svg>");

        &:hover {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 134, 255, 1)' d='M18 3c1.657,0 3,1.343 3,3 0,1.657 -1.343,3 -3,3 -1.657,0 -3,-1.343 -3,-3 0,-1.657 1.343,-3 3,-3zm-10 6l6 0c0.552,0 1,0.448 1,1l0 6c0,0.55 -0.451,1 -1,1l-0.001 0c-0.279,0 -0.532,-0.116 -0.714,-0.302l0 0 -1.578 -1.577 -5.295 5.295c-0.778,0.778 -2.05,0.778 -2.828,0l0 0c-0.778,-0.778 -0.778,-2.05 0,-2.828l5.295 -5.295 -1.586 -1.586 -0.001 -0.002c-0.181,-0.181 -0.292,-0.43 -0.292,-0.704l0 -0.001c0,-0.55 0.45,-1 1,-1z'/> </svg>");
        }

        &.disabled {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.4)' d='M18 3c1.657,0 3,1.343 3,3 0,1.657 -1.343,3 -3,3 -1.657,0 -3,-1.343 -3,-3 0,-1.657 1.343,-3 3,-3zm-10 6l6 0c0.552,0 1,0.448 1,1l0 6c0,0.55 -0.451,1 -1,1l-0.001 0c-0.279,0 -0.532,-0.116 -0.714,-0.302l0 0 -1.578 -1.577 -5.295 5.295c-0.778,0.778 -2.05,0.778 -2.828,0l0 0c-0.778,-0.778 -0.778,-2.05 0,-2.828l5.295 -5.295 -1.586 -1.586 -0.001 -0.002c-0.181,-0.181 -0.292,-0.43 -0.292,-0.704l0 -0.001c0,-0.55 0.45,-1 1,-1z'/> </svg>");
        }
    }

    &.searchnearby {
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.6)' d='M12 3c2.27,0 4.344,0.841 5.927,2.228l0.025 0.021c0.414,0.366 0.454,0.998 0.089,1.412 -0.028,0.031 -0.057,0.06 -0.087,0.087l-4.232 4.236c0.176,0.297 0.278,0.645 0.278,1.016 0,1.104 -0.896,2 -2,2 -1.104,0 -2,-0.896 -2,-2 0,-1.104 0.896,-2 2,-2 0.37,0 0.717,0.101 1.015,0.277l1.436 -1.438c-0.677,-0.526 -1.527,-0.839 -2.451,-0.839 -2.209,0 -4,1.791 -4,4 0,2.209 1.791,4 4,4 2.209,0 4,-1.791 4,-4 0,-0.071 -0.002,-0.141 -0.005,-0.211l0 -0.002 -0.001 -0.002 0 -0.003 0 -0.004 0 -0.003c-0.016,-0.276 0.195,-0.512 0.47,-0.528 0.276,-0.015 0.512,0.195 0.528,0.471l0 0.004 0.001 0.005 0 0.004 0 0 0 0.005c0.004,0.087 0.007,0.175 0.007,0.264 0,2.761 -2.239,5 -5,5 -2.761,0 -5,-2.239 -5,-5 0,-2.761 2.239,-5 5,-5 1.2,0 2.301,0.423 3.162,1.127l1.42 -1.421 -0.014 -0.015 -0.003 0.003c-1.225,-1.056 -2.821,-1.694 -4.565,-1.694 -3.866,0 -7,3.134 -7,7 0,3.866 3.134,7 7,7 3.866,0 7,-3.134 7,-7 0,-0.766 -0.124,-1.503 -0.351,-2.194l0.003 -0.001c-0.013,-0.029 -0.025,-0.06 -0.036,-0.091 -0.18,-0.522 0.097,-1.091 0.619,-1.272 0.521,-0.18 1.09,0.096 1.271,0.617l0.001 -0.001c0.319,0.922 0.493,1.912 0.493,2.942 0,4.97 -4.03,9 -9,9 -4.97,0 -9,-4.03 -9,-9 0,-4.97 4.03,-9 9,-9z'/> </svg>");

        &:hover {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 1)' d='M12 3c2.27,0 4.344,0.841 5.927,2.228l0.025 0.021c0.414,0.366 0.454,0.998 0.089,1.412 -0.028,0.031 -0.057,0.06 -0.087,0.087l-4.232 4.236c0.176,0.297 0.278,0.645 0.278,1.016 0,1.104 -0.896,2 -2,2 -1.104,0 -2,-0.896 -2,-2 0,-1.104 0.896,-2 2,-2 0.37,0 0.717,0.101 1.015,0.277l1.436 -1.438c-0.677,-0.526 -1.527,-0.839 -2.451,-0.839 -2.209,0 -4,1.791 -4,4 0,2.209 1.791,4 4,4 2.209,0 4,-1.791 4,-4 0,-0.071 -0.002,-0.141 -0.005,-0.211l0 -0.002 -0.001 -0.002 0 -0.003 0 -0.004 0 -0.003c-0.016,-0.276 0.195,-0.512 0.47,-0.528 0.276,-0.015 0.512,0.195 0.528,0.471l0 0.004 0.001 0.005 0 0.004 0 0 0 0.005c0.004,0.087 0.007,0.175 0.007,0.264 0,2.761 -2.239,5 -5,5 -2.761,0 -5,-2.239 -5,-5 0,-2.761 2.239,-5 5,-5 1.2,0 2.301,0.423 3.162,1.127l1.42 -1.421 -0.014 -0.015 -0.003 0.003c-1.225,-1.056 -2.821,-1.694 -4.565,-1.694 -3.866,0 -7,3.134 -7,7 0,3.866 3.134,7 7,7 3.866,0 7,-3.134 7,-7 0,-0.766 -0.124,-1.503 -0.351,-2.194l0.003 -0.001c-0.013,-0.029 -0.025,-0.06 -0.036,-0.091 -0.18,-0.522 0.097,-1.091 0.619,-1.272 0.521,-0.18 1.09,0.096 1.271,0.617l0.001 -0.001c0.319,0.922 0.493,1.912 0.493,2.942 0,4.97 -4.03,9 -9,9 -4.97,0 -9,-4.03 -9,-9 0,-4.97 4.03,-9 9,-9z'/> </svg>");
        }

        &.disabled {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.4)' d='M12 3c2.27,0 4.344,0.841 5.927,2.228l0.025 0.021c0.414,0.366 0.454,0.998 0.089,1.412 -0.028,0.031 -0.057,0.06 -0.087,0.087l-4.232 4.236c0.176,0.297 0.278,0.645 0.278,1.016 0,1.104 -0.896,2 -2,2 -1.104,0 -2,-0.896 -2,-2 0,-1.104 0.896,-2 2,-2 0.37,0 0.717,0.101 1.015,0.277l1.436 -1.438c-0.677,-0.526 -1.527,-0.839 -2.451,-0.839 -2.209,0 -4,1.791 -4,4 0,2.209 1.791,4 4,4 2.209,0 4,-1.791 4,-4 0,-0.071 -0.002,-0.141 -0.005,-0.211l0 -0.002 -0.001 -0.002 0 -0.003 0 -0.004 0 -0.003c-0.016,-0.276 0.195,-0.512 0.47,-0.528 0.276,-0.015 0.512,0.195 0.528,0.471l0 0.004 0.001 0.005 0 0.004 0 0 0 0.005c0.004,0.087 0.007,0.175 0.007,0.264 0,2.761 -2.239,5 -5,5 -2.761,0 -5,-2.239 -5,-5 0,-2.761 2.239,-5 5,-5 1.2,0 2.301,0.423 3.162,1.127l1.42 -1.421 -0.014 -0.015 -0.003 0.003c-1.225,-1.056 -2.821,-1.694 -4.565,-1.694 -3.866,0 -7,3.134 -7,7 0,3.866 3.134,7 7,7 3.866,0 7,-3.134 7,-7 0,-0.766 -0.124,-1.503 -0.351,-2.194l0.003 -0.001c-0.013,-0.029 -0.025,-0.06 -0.036,-0.091 -0.18,-0.522 0.097,-1.091 0.619,-1.272 0.521,-0.18 1.09,0.096 1.271,0.617l0.001 -0.001c0.319,0.922 0.493,1.912 0.493,2.942 0,4.97 -4.03,9 -9,9 -4.97,0 -9,-4.03 -9,-9 0,-4.97 4.03,-9 9,-9z'/> </svg>");
        }
    }

    &.whathere {
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.6)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm0.05 11c0.552,0 1,0.448 1,1 0,0.552 -0.448,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.552 0.448,-1 1,-1zm2.35 -2.7c-0.465,0.696 -1.537,1.273 -1.8,1.8l-1.6 0c0,-1.576 2,-1.475 2,-2.9 0,-0.628 -0.564,-0.8 -1.1,-0.8 -0.6,0 -1.2,0.2 -2,0.6l-0.601 -1.2c0.963,-0.535 2.79,-1.116 4.037,-0.627 1.207,0.473 1.801,2.021 1.064,3.127zm-2.4 -6.3c3.866,0 7,3.134 7,7 0,3.866 -3.134,7 -7,7 -3.866,0 -7,-3.134 -7,-7 0,-3.866 3.134,-7 7,-7z'/> </svg>");

        &:hover {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 1)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm0.05 11c0.552,0 1,0.448 1,1 0,0.552 -0.448,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.552 0.448,-1 1,-1zm2.35 -2.7c-0.465,0.696 -1.537,1.273 -1.8,1.8l-1.6 0c0,-1.576 2,-1.475 2,-2.9 0,-0.628 -0.564,-0.8 -1.1,-0.8 -0.6,0 -1.2,0.2 -2,0.6l-0.601 -1.2c0.963,-0.535 2.79,-1.116 4.037,-0.627 1.207,0.473 1.801,2.021 1.064,3.127zm-2.4 -6.3c3.866,0 7,3.134 7,7 0,3.866 -3.134,7 -7,7 -3.866,0 -7,-3.134 -7,-7 0,-3.866 3.134,-7 7,-7z'/> </svg>");
        }

        &.disabled {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.4)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm0.05 11c0.552,0 1,0.448 1,1 0,0.552 -0.448,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.552 0.448,-1 1,-1zm2.35 -2.7c-0.465,0.696 -1.537,1.273 -1.8,1.8l-1.6 0c0,-1.576 2,-1.475 2,-2.9 0,-0.628 -0.564,-0.8 -1.1,-0.8 -0.6,0 -1.2,0.2 -2,0.6l-0.601 -1.2c0.963,-0.535 2.79,-1.116 4.037,-0.627 1.207,0.473 1.801,2.021 1.064,3.127zm-2.4 -6.3c3.866,0 7,3.134 7,7 0,3.866 -3.134,7 -7,7 -3.866,0 -7,-3.134 -7,-7 0,-3.866 3.134,-7 7,-7z'/> </svg>");
        }
    }

    &.missingplace {
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.6)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm-1 12l0 -1.999 -2 0c-0.55,0 -1,-0.45 -1,-1.001l0 0c0,-0.55 0.45,-1 1,-1l2 0 0 -1.999c0,-0.551 0.45,-1 1,-1l0 0c0.55,0 1,0.449 1,1l0 1.999 2 0c0.55,0 1,0.45 1,1l0 0c0,0.551 -0.45,1.001 -1,1.001l-2 0 0 1.999c0,0.551 -0.45,1 -1,1l0 0c-0.55,0 -1,-0.449 -1,-1zm1 6.234c0.882,-1.268 2.025,-2.376 3.307,-3.063 2.274,-1.219 3.693,-3.584 3.693,-6.171 0,-3.867 -3.133,-7 -7,-7 -3.867,0 -7,3.133 -7,7 0,2.587 1.419,4.952 3.693,6.171 1.282,0.687 2.425,1.795 3.307,3.063z'/> </svg>");

        &:hover {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 1)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm-1 12l0 -1.999 -2 0c-0.55,0 -1,-0.45 -1,-1.001l0 0c0,-0.55 0.45,-1 1,-1l2 0 0 -1.999c0,-0.551 0.45,-1 1,-1l0 0c0.55,0 1,0.449 1,1l0 1.999 2 0c0.55,0 1,0.45 1,1l0 0c0,0.551 -0.45,1.001 -1,1.001l-2 0 0 1.999c0,0.551 -0.45,1 -1,1l0 0c-0.55,0 -1,-0.449 -1,-1zm1 6.234c0.882,-1.268 2.025,-2.376 3.307,-3.063 2.274,-1.219 3.693,-3.584 3.693,-6.171 0,-3.867 -3.133,-7 -7,-7 -3.867,0 -7,3.133 -7,7 0,2.587 1.419,4.952 3.693,6.171 1.282,0.687 2.425,1.795 3.307,3.063z'/> </svg>");
        }

        &.disabled {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.4)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm-1 12l0 -1.999 -2 0c-0.55,0 -1,-0.45 -1,-1.001l0 0c0,-0.55 0.45,-1 1,-1l2 0 0 -1.999c0,-0.551 0.45,-1 1,-1l0 0c0.55,0 1,0.449 1,1l0 1.999 2 0c0.55,0 1,0.45 1,1l0 0c0,0.551 -0.45,1.001 -1,1.001l-2 0 0 1.999c0,0.551 -0.45,1 -1,1l0 0c-0.55,0 -1,-0.449 -1,-1zm1 6.234c0.882,-1.268 2.025,-2.376 3.307,-3.063 2.274,-1.219 3.693,-3.584 3.693,-6.171 0,-3.867 -3.133,-7 -7,-7 -3.867,0 -7,3.133 -7,7 0,2.587 1.419,4.952 3.693,6.171 1.282,0.687 2.425,1.795 3.307,3.063z'/> </svg>");
        }
    }

}








